<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('vehicle_register_uploads', function (Blueprint $table) {
            $table->renameColumn('vendor_ac_id' ,'vendor_ac',)->nullable()->change();
            $table->renameColumn('driver_ac_id' ,'driver_ac' )->nullable()->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('vehicle_register_uploads', function (Blueprint $table) {
            $table->string('vendor_ac_id')->nullable()->change();
            $table->string('driver_ac_id')->nullable()->change();
        });
    }
};
